[ic] PaypalExpress payment module update

Stefan Hornburg (Racke) racke at linuxia.de
Fri Apr 13 07:13:43 UTC 2012

On 04/11/2012 05:12 PM, Lyn St George wrote:
> On Wednesday 11 April 2012 08:48:05 Stefan Hornburg (Racke) wrote:
>> Hello, Lyn!
>> I updated the version in Interchange's repository as well. One thing that
>> has changed recently is that you force the credentials for the sandbox
>> to be prefixed with sandbox_, otherwise you get the error
>> "You do not have permissions to make this API call".
>> I would like to change the code to fallback to the credential without
>> prefix in this case, as this allows to handle the different credentials
>> through "VariableDatabase" site, which is IMHO the standard way to use the
>> same catalog.cfg for production/development.
>> The second thing is that API calls without any credentials should produce
>> a better error message instead of making a call to paypal which fails for
>> sure.
>> What do you think?
>> Do you have any (public) repository for your payment modules?
>> Regards + thanks for all your work for Interchange
>>          Racke
> Hi Racke
> I'm just about to head off on a camping holiday on the Cornish moors, so don't
> really have time to make changes before I go. I have no problem if you want to
> do it yourself though. I don't have a git repo - probably should but have not
> got around to it:) - but if you email me back the module or a diff I can
> update the version on kiwi.

Enjoy your camping holiday and let me know when you are back. If you need help
with Git, I would assist you :-).

Here is the patch for PaypalExpress:



LinuXia Systems => http://www.linuxia.de/
Expert Interchange Consulting and System Administration
ICDEVGROUP => http://www.icdevgroup.org/
Interchange Development Team

More information about the interchange-users mailing list